xcb_input_feedback_ctl_data_t Struct Reference
XCB Input API

xcb_input_feedback_ctl_data_t More...

`#include <xinput.h>`

## Data Fields

struct { |
xcb_input_key_code_t key |
uint8_t auto_repeat_mode |
int8_t key_click_percent |
int8_t bell_percent |
int16_t bell_pitch |
int16_t bell_duration |
uint32_t led_mask |
uint32_t led_values |
} | keyboard
struct { |
uint8_t pad0 [2] |
int16_t num |
int16_t denom |
int16_t threshold |
} | pointer
struct { |
uint8_t pad1 [2] |
uint16_t num_keysyms |
xcb_keysym_t * keysyms |
} | string
struct { |
int32_t int_to_display |
} | integer
struct { |
uint32_t led_mask |
uint32_t led_values |
} | led
struct { |
int8_t percent |
uint8_t pad2 [3] |
int16_t pitch |
int16_t duration |
} | bell

## Detailed Description

xcb_input_feedback_ctl_data_t

The documentation for this struct was generated from the following file:

- xinput.h